Description

Hi,

Exporting wiki pages (html ou pdf format) is great but a greater function would be to be able to export a whole wiki

(in html with links or even pdf with summary) or part of the wiki in one step.

For example, I find the wiki usefull for documentation purpose and I'd love to be able to generate a whole documentation

for offline reading in one step from my wiki.

Thanks.

Related issues:

Related to Redmine - Feature #13051: Support any macro in (pdf) export for wi... Closed

Related to Redmine - Defect #20910: Hierarchy in TOC is not preserved when Wi... Closed

History

#1 - 2008-01-12 12:19 - Jean-Philippe Lang

Even if it's not perfect, it's already possible.

Go to the page index of your wiki, and click 'export to html'

at the very end of the index. You will get all of the pages of

the wiki in one html file. Wiki links are preserved and point

to the right place in the html file.

If you have any problem with this, please post a bug report.

#2 - 2008-01-12 15:47 - Walid Moghrabi

It's not working, I go on the first wiki page, click on export

HTML and I get only the first page and not the others, links

are good (they are relative to pages at the same level of the

file) but the others pages are not exported

#3 - 2008-01-12 15:58 - Jean-Philippe Lang

I go on the first wiki page

 You have to go the page index, not on the first page.

The link is located is the right sidebar ('Index by title' in

english). And then click export to html.

#4 - 2008-06-26 11:38 - Nils Kluge

- Status changed from Closed to Reopened

The described function works well, but only for the whole wiki.

Lets assume we have some wiki pages that describe a system's functionality, some internal project pages, installation instructions and so on.

Furthermore we have a wiki page as entry point for each of this sections. Each of this wiki pages containing a table of content.

Now we need to ship the specification of the functionality to our customer. How can i extract  that specific pages only?

I think a new functionality to extract wiki pages depth first from a startpage (the displayed page) would be very helpful.
Additionally a pdf export as described in feature #401 would be great to perform this task. There would be no more need to convert files from html to

pdf before shipping them off.

#5 - 2009-01-22 01:27 - Joshua Masek

I have an image attached to a wiki and displayed inside the wiki that does not export.  Bummer.

#6 - 2009-10-29 18:31 - Aaron Fischer

- File 0033-Add-images-to-the-wiki-export-functionality.patch added

We added image support to the export functionality. All images are added as base64 encoded images in the exported html file, so no external image

resources are needed.

The patch solves this problem.

#7 - 2011-03-29 14:43 - Toshi MARUYAMA

- Category set to Wiki

#8 - 2011-09-30 03:22 - Dave Sag

I see the patch to export images was submitted about 2 years ago but when I just tried to export my wiki as an HTML file it is missing the images still. 

What that patch never accepted? Or do the images need to be a specific format.  Mine are PNG files.

I also agree that an option to export into PDF would be excellent. as per #401

Cheers

D

#9 - 2012-09-05 14:36 - Stephen Heidt

When I click on the index by title or index by date to go to the index page, there is NO 'export to HTML' link or option! Has that functionality actually

been removed?

#10 - 2012-09-05 15:06 - Mischa The Evil

Stephen Heidt wrote:

When I click on the index by title or index by date to go to the index page, there is NO 'export to HTML' link or option! Has that functionality

actually been removed?

 Not that I remember. Are you sure the user's role actually has the required Export wiki pages permission on the specific project?

#11 - 2012-09-05 15:16 - Stephen Heidt

Mischa The Evil wrote:

Not that I remember. Are you sure the user's role actually has the required Export wiki pages permission on the specific project?

 Sorry for the confusion. It was a permission issue. I thought the user rights were set up, but they weren't set to allow the export. Thanks for the quick

response!

#12 - 2015-06-03 01:18 - Massimo Zaniboni

- File inlined-images.patch added

This is the original patch, but adapted to Redmine 2.5.6 release. I'm testing it right now, and it seems working ok:

in inline Wiki pages, image attachments are normal links

on exported Wiki pages, they are base64 data embedded

#13 - 2015-10-30 07:26 - Toshi MARUYAMA

- Related to Defect #20910: Hierarchy in TOC is not preserved when Wiki index is exported to HTML added

Files

0033-Add-images-to-the-wiki-export-functionality.patch 2.85 KB 2009-10-29 Aaron Fischer

inlined-images.patch 2.3 KB 2015-06-02 Massimo Zaniboni
